You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@ambari.apache.org by hi...@apache.org on 2012/08/16 21:03:14 UTC

svn commit: r1373982 - in /incubator/ambari/branches/branch-0.9: CHANGES.txt hmc/ShellScripts/puppet_agent_install.sh

Author: hitesh
Date: Thu Aug 16 19:03:13 2012
New Revision: 1373982

URL: http://svn.apache.org/viewvc?rev=1373982&view=rev
Log:
AMBARI-668. Ambari should install yum priorities plugin on all nodes to ensure repo priorities are adhered to. (Contributed by hitesh)

Modified:
    incubator/ambari/branches/branch-0.9/CHANGES.txt
    incubator/ambari/branches/branch-0.9/hmc/ShellScripts/puppet_agent_install.sh

Modified: incubator/ambari/branches/branch-0.9/CHANGES.txt
URL: http://svn.apache.org/viewvc/incubator/ambari/branches/branch-0.9/CHANGES.txt?rev=1373982&r1=1373981&r2=1373982&view=diff
==============================================================================
--- incubator/ambari/branches/branch-0.9/CHANGES.txt (original)
+++ incubator/ambari/branches/branch-0.9/CHANGES.txt Thu Aug 16 19:03:13 2012
@@ -6,6 +6,9 @@ characters wide.
 
 Release 0.9.0 - unreleased
 
+  AMBARI-668. Ambari should install yum priorities plugin on all nodes to ensure repo
+  priorities are adhered to. (hitesh)
+
   AMBARI-661. Deploy cluster fails during Hive/HCatalog test (yusaku)
 
   AMBARI-664. Fix mapred io sort mb and heap size for map/reduce (mahadev via

Modified: incubator/ambari/branches/branch-0.9/hmc/ShellScripts/puppet_agent_install.sh
URL: http://svn.apache.org/viewvc/incubator/ambari/branches/branch-0.9/hmc/ShellScripts/puppet_agent_install.sh?rev=1373982&r1=1373981&r2=1373982&view=diff
==============================================================================
--- incubator/ambari/branches/branch-0.9/hmc/ShellScripts/puppet_agent_install.sh (original)
+++ incubator/ambari/branches/branch-0.9/hmc/ShellScripts/puppet_agent_install.sh Thu Aug 16 19:03:13 2012
@@ -219,6 +219,24 @@ else
   echo "Skipping epel check+install as local repo mode is enabled"
 fi
 
+echo "Installing yum priorities plugin"
+if [[ "x${osMajorVersion}" == "x5" ]]; then
+  out=`yum install -y yum-priorities`
+  ret=$?
+  if [[ "$ret" != "0" ]]; then
+    echo "$host:_ERROR_:retcode:[$ret], CMD:[$pp_cmd]: OUT:[$out]" >&2
+    exit 1
+  fi
+fi
+if [[ "x${osMajorVersion}" == "x6" ]]; then
+  out=`yum install -y yum-plugin-priorities`
+  ret=$?
+  if [[ "$ret" != "0" ]]; then
+    echo "$host:_ERROR_:retcode:[$ret], CMD:[$pp_cmd]: OUT:[$out]" >&2
+    exit 1
+  fi
+fi
+
 echo "Installing puppet using yum"
 out=`yum install -y hmc-agent`
 ret=$?